Loading...
Searching...
No Matches
BALL::VIEW::BondProperties Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/bondProperties.h>`

Inheritance diagram for BALL::VIEW::BondProperties:

## Public Slots

void | bondSelected ()
void | focusAtom ()
void | focusPartner ()

## Public Member Functions

| BondProperties (Atom *atom, QWidget *parent=0, const char *name="BondProperties", bool modal=false, Qt::WindowFlags fl=0)
| ~BondProperties ()

## Detailed Description

Dialog for showing and changing the properties of the bonds of an atom

Definition at line 25 of file bondProperties.h.

## Constructor & Destructor Documentation

## BondProperties()

BALL::VIEW::BondProperties::BondProperties | ( | Atom * | atom,
|  | QWidget * | parent = 0,
|  | const char * | name = "BondProperties",
|  | bool | modal = false,
|  | Qt::WindowFlags | fl = 0 )

## ~BondProperties()

BALL::VIEW::BondProperties::~BondProperties | ( |  | ) |

## Member Function Documentation

## bondSelected

void BALL::VIEW::BondProperties::bondSelected | ( |  | ) |

slot

## focusAtom

void BALL::VIEW::BondProperties::focusAtom | ( |  | ) |

slot

## focusPartner

void BALL::VIEW::BondProperties::focusPartner | ( |  | ) |

slot